| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
FilterType Class Reference

Helper to encapsulate the the raw data error. More...

`#include <FilterType.h>`

## Public Member Functions
| FilterType ()
| Base constructor.
| FilterType (FILTER_MODE filterType, unsigned int NumH, unsigned int NumS)
| Copy constructor.
FILTER_MODE | GetFilterMode ()
| Gets the filter mode.
void | SetFilterMode (FILTER_MODE filterMode)
| Sets the filter mode.
unsigned int | GetNumH ()
| Gets historical spots number at current position.
void | SetNumH (unsigned int numH)
| Sets historical spots number at current position.
unsigned int | GetNumS ()
| Gets historical spots number on both sides.
void | SetNumS (unsigned int numS)
| Sets historical spots number on both sides.

## Detailed Description

Helper to encapsulate the the raw data error.

## Constructor & Destructor Documentation

## ◆ FilterType() [1/2]

FilterType::FilterType | ( |  | ) |

Base constructor.

## ◆ FilterType() [2/2]

FilterType::FilterType | ( | FILTER_MODE | filterMode,
|  | unsigned int | NumH,
|  | unsigned int | NumS )

Copy constructor.

Parameters

  errorDate | the error date as an int
  errorCode | the error code as an int

## Member Function Documentation

## ◆ GetFilterMode()

FILTER_MODE FilterType::GetFilterMode | ( |  | ) |

Gets the filter mode.

Returns
  FILTER_TYPE

Returns
  FILTER_MODE

## ◆ GetNumH()

unsigned int FilterType::GetNumH | ( |  | ) |

Gets historical spots number at current position.

Returns
  unsigned int

## ◆ GetNumS()

unsigned int FilterType::GetNumS | ( |  | ) |

Gets historical spots number on both sides.

Returns

## ◆ SetFilterMode()

void FilterType::SetFilterMode | ( | FILTER_MODE | filterMode | ) |

Sets the filter mode.

Parameters

  filterMode | A value 0, 1, 2

## ◆ SetNumH()

void FilterType::SetNumH | ( | unsigned int | numH | ) |

Sets historical spots number at current position.

Parameters

  numH | spots number

## ◆ SetNumS()

void FilterType::SetNumS | ( | unsigned int | numS | ) |

Sets historical spots number on both sides.

Parameters

  numS | spots number

The documentation for this class was generated from the following files:

- FilterType.h
- FilterType.cpp